/* This file, which is called by io.do, creates a correspondence between stcc codes and (downstream) construction SIC industries.  The correspondence
is supposed to indicate which particular stcc code commodities can potentially go to any particular construction industry.  The need to come up 
with this correspondence stems from the fact that, according to the BEAs IOIND classification, construction is listed as a single superindustry.  
As such, using solely the BEA's IO table would lead to mismeasurement in the pairs of SIC industries that are linked to one another.We use our best 
judgement,using informmation on the name of the commodidty and the name of the industry, to make this correspondence.  For the most part, our correspondence
is rather liberal (i.e., we are not too restrictive by ruling out many stcc-sic combinations.  As a reminder, the larger role of this correspondence is
to determine how much of each stcc code are received by any industry (including, but not limited to, construction.), which will in turn inform which
pairs of SIC industries are vertically linked to one another.  */

/* To give an example of how this correspondence works, consider the first line.  14111 is the stcc commodity code of crushed building stone.  
  We say that SIC codes 15 and 16 (general contractors and heavy construction) can potentially use this commodity.  Within special trade contractors (SIC 17)
  only a subset (special trade contractors, nec; masonry, and concrete work) can use the crushed buildnig stone.  Other industries--for example,
   electrical work (SIC code 173) or roofing and siding (SIC code 176)-- are by assumption not going to make substantial purchases of crushed stone.  As a 
   result industries that ship crushed stone are not, in the end, going to be upstream of the roofing-and-siding or electrical work industries, but may
  potentially be upstream of the general contractors industries */
 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==14111 & floor(sic4/10)~=170 & sic4~=1740 & sic4~=1741 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==14211 & floor(sic4/10)~=170 & sic4~=1740 & sic4~=1741 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==14212 & floor(sic4/10)~=170 & sic4~=1740 & sic4~=1741 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==14213 & floor(sic4/10)~=170 & sic4~=1740 & sic4~=1741 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==14219 & floor(sic4/10)~=170 & sic4~=1740 & sic4~=1741 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==14411 & floor(sic4/10)~=179 & floor(sic4/10)~=177  & floor(sic4/10)~=174  & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==14412  & floor(sic4/10)~=179 & floor(sic4/10)~=177  & floor(sic4/10)~=174  & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==14413  & floor(sic4/10)~=179 & floor(sic4/10)~=177  & floor(sic4/10)~=174  & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==22711 & floor(sic4/10)~=175
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==22721 & floor(sic4/10)~=175
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==22799 & floor(sic4/10)~=175
/*  keep all if the stcc is  2394X */
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24115 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24211 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24212 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24214 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24215 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24219 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24291 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24292 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24293 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24294 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24299 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24311 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170 & stcc~=1793
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24312 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170 & stcc~=1793
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24313 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170 & stcc~=1793
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24314 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24316 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24319 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24321 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24332 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24333 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24341 & floor(sic4/10)~=175 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24391 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24911 & floor(sic4/10)~=175 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24912 & floor(sic4/10)~=175 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24913 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24914 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24919 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24921 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24931 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24941 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
/*  don't drop if stcc==2495X or stcc=2496X */
drop if floor(sic4/100)==17 &  stcc==24971 /*drop all */
drop if floor(sic4/100)==17 & stcc==24972  /*drop all */
/* drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & don't drop */
drop if floor(sic4/100)==17 & stcc==24982 /*drop all */ 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24983 & floor(sic4/10)~=175 & floor(sic4/10)~=171 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & stcc==24985 /* drop all */
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24987 & floor(sic4/10)~=175 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & stcc==24988  /* drop all*/ 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24993 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & stcc==24994  /* drop all */
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24995 & floor(sic4/10)~=175 & floor(sic4/10)~=171 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24996 & floor(sic4/10)~=175 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24997 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & stcc==24998  /* drop all */ 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==24999 & floor(sic4/10)~=175 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==25411 & floor(sic4/10)~=175 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==25421 & floor(sic4/10)~=176 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & stcc==26311
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==26441 & floor(sic4/10)~=172 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==26461 & floor(sic4/10)~=171 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & stcc==26462 /* drop all */
/* drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==26469 drop none */
drop if floor(sic4/100)==17 & stcc==26492 /* drop all */
/* drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==26495  drop none 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==26497 drop none
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==26499  drop none */ 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==26611 & floor(sic4/10)~=170 & sic4~=1742 & sic4~=1740
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==26613 & floor(sic4/10)~=170 & sic4~=1742 & sic4~=1740
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==26614 & floor(sic4/10)~=170 & sic4~=1742 & sic4~=1740
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==28511 & floor(sic4/10)~=170 & floor(sic4/10)~=172
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==28512 & floor(sic4/10)~=170 & floor(sic4/10)~=172
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==28513 & floor(sic4/10)~=170 & floor(sic4/10)~=172 & floor(sic4/10)~=175 & floor(sic4/10)~=179 & floor(sic4/10)~=174 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==28519 & floor(sic4/10)~=170 & floor(sic4/10)~=172
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==29511 & floor(sic4/10)~=170 & floor(sic4/10)~=176  & floor(sic4/10)~=174  & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==29521 & floor(sic4/10)~=170 & floor(sic4/10)~=176  & floor(sic4/10)~=174  & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==29522 & floor(sic4/10)~=170 & floor(sic4/10)~=176  & floor(sic4/10)~=174  & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==29523 & floor(sic4/10)~=170 & floor(sic4/10)~=176  & floor(sic4/10)~=174  & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==29529 & floor(sic4/10)~=170 & floor(sic4/10)~=176  & floor(sic4/10)~=174  & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32411 & floor(sic4/10)~=170  & (sic4~=1740 & sic4~=1741) & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32412 & floor(sic4/10)~=170  & (sic4~=1740 & sic4~=1741) & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32511 & floor(sic4/10)~=170  & floor(sic4/10)~=174 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32512 & floor(sic4/10)~=170  & floor(sic4/10)~=174 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32531 & floor(sic4/10)~=170  & floor(sic4/10)~=174 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32551 & floor(sic4/10)~=170  & floor(sic4/10)~=174 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32591 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177 & floor(sic4/10)~=176 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32592 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177 & floor(sic4/10)~=176 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32593 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177 & floor(sic4/10)~=176 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32594 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177 & floor(sic4/10)~=176 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32595 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177 & floor(sic4/10)~=176 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32599 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177 & floor(sic4/10)~=176 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32611 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177 & floor(sic4/10)~=171
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32641 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177 & floor(sic4/10)~=171 & floor(sic4/10)~=171
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32711 & floor(sic4/10)~=170  & (sic4~=1740 & sic4~=1741)  & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32713 & floor(sic4/10)~=170  & (sic4~=1740 & sic4~=1741)  & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32714 & floor(sic4/10)~=170  & (sic4~=1740 & sic4~=1741)  & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32715 & floor(sic4/10)~=170  & (sic4~=1740 & sic4~=1741)  & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32719 & floor(sic4/10)~=170  & (sic4~=1740 & sic4~=1741)  & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32731 & floor(sic4/10)~=170  & (sic4~=1740 & sic4~=1741)  & floor(sic4/10)~=177 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32741 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32751 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32752 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32753 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32754 & floor(sic4/10)~=170  & floor(sic4/10)~=174 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32759 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32811 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32812 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32813 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32814 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32819 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32951 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32952 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32953 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32954 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32955 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32956 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32957 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32958 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32959 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==32961 & floor(sic4/10)~=170  & floor(sic4/10)~=174 & floor(sic4/10)~=177
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==33151 & (floor(sic4/10)==172 | floor(sic4/10)==175)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==33152 & (floor(sic4/10)==172  | floor(sic4/10)==175)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==33155 & (floor(sic4/10)==172  | floor(sic4/10)==175)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==33571 & (floor(sic4/10)==172  | floor(sic4/10)==175)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==33572 & (floor(sic4/10)==172  | floor(sic4/10)==175)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==33573 & (floor(sic4/10)==172  | floor(sic4/10)==175)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==33574 & (floor(sic4/10)==172  | floor(sic4/10)==175)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34231 & (floor(sic4/10)==172 | floor(sic4/10)==177)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34232 & (floor(sic4/10)==172 | floor(sic4/10)==177)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34233 & (floor(sic4/10)==172 | floor(sic4/10)==177)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34234
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34235 & (floor(sic4/10)==172 | floor(sic4/10)==177)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34236 & (floor(sic4/10)==172 | floor(sic4/10)==177)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34239 & (floor(sic4/10)==172 | floor(sic4/10)==177)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34251 & (floor(sic4/10)==172 | floor(sic4/10)==177)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34281 & (floor(sic4/10)==172 | floor(sic4/10)==177)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34282 & (floor(sic4/10)==172 | floor(sic4/10)==177)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34283 & (floor(sic4/10)==172 | floor(sic4/10)==177)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34284 & (floor(sic4/10)~=175) 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34285 & (floor(sic4/10)==172 | floor(sic4/10)==177)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34289 & (floor(sic4/10)==172 | floor(sic4/10)==177)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34291 & (floor(sic4/10)==172 | floor(sic4/10)==177)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34292 & (floor(sic4/10)==172 | floor(sic4/10)==177)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34293 & (floor(sic4/10)==172 | floor(sic4/10)==177)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34294 & (floor(sic4/10)==172 | floor(sic4/10)==177)
/* drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34298 drop none  */
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34311 & floor(sic4/10)~=170  & floor(sic4/10)~=171 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34312 & floor(sic4/10)~=170  & floor(sic4/10)~=171 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34321 & floor(sic4/10)~=170  & floor(sic4/10)~=171
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34331 & floor(sic4/10)~=170  & floor(sic4/10)~=171
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34332 & floor(sic4/10)~=170  & floor(sic4/10)~=171
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34333 & floor(sic4/10)~=170  & floor(sic4/10)~=171
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34334 & floor(sic4/10)~=170  & floor(sic4/10)~=171
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34335 & floor(sic4/10)~=170  & floor(sic4/10)~=171
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34336 & floor(sic4/10)~=170  & floor(sic4/10)~=171
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34339 & floor(sic4/10)~=170  & floor(sic4/10)~=171
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34411  & floor(sic4/10)~=176  & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34412  & floor(sic4/10)~=176 & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34421  & floor(sic4/10)~=176 & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34422  & floor(sic4/10)~=176 & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34423  & floor(sic4/10)~=176 & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34425  & floor(sic4/10)~=176 & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34431  & floor(sic4/10)~=176 & floor(sic4/10)~=171  & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34432  & floor(sic4/10)~=176 & floor(sic4/10)~=171  & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34433  & floor(sic4/10)~=176 & floor(sic4/10)~=171  & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34434  & floor(sic4/10)~=176 & floor(sic4/10)~=171  & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34435  & floor(sic4/10)~=176 & floor(sic4/10)~=171  & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34439  & floor(sic4/10)~=176 & floor(sic4/10)~=171  & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34441  & floor(sic4/10)~=176 & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34442  & floor(sic4/10)~=176 & floor(sic4/10)~=170 & floor(sic4/10)~=171
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34443  & floor(sic4/10)~=176 & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34444  & floor(sic4/10)~=176 & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34445  & floor(sic4/10)~=176 & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34446  & floor(sic4/10)~=176 & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34447  & floor(sic4/10)~=176 & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34449  & floor(sic4/10)~=176 & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34461  & floor(sic4/10)~=176 & floor(sic4/10)~=170  & sic4~=1751
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34462  & floor(sic4/10)~=176 & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34464  & floor(sic4/10)~=176 & floor(sic4/10)~=170  
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34469 & floor(sic4/10)~=176 & floor(sic4/10)~=170  
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34492  & floor(sic4/10)~=176 & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34499  & floor(sic4/10)~=176 & floor(sic4/10)~=170 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34615  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34619  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34812  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34813  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34814  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34815  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34816  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175) 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34817  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175 | floor(sic4/10)==176)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34819  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175 | floor(sic4/10)==176)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34913  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175 | floor(sic4/10)==176)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34921  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175 | floor(sic4/10)==176)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34941  & (floor(sic4/10)==172 |  floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175 | floor(sic4/10)==176)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34942  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175 | floor(sic4/10)==176)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34943  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175 | floor(sic4/10)==176)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34944  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175 | floor(sic4/10)==176) 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34991  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 &  stcc==34993  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175) 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34997 & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175) 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==34998  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35241  & (floor(sic4/10)==172 | floor(sic4/10)==177 | floor(sic4/10)==174 | floor(sic4/10)==175)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35311 & (floor(sic4/10)==172 | floor(sic4/10)==171 | floor(sic4/10)==174 | floor(sic4/10)==175  | sic4==1793)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35312  /* drop all */
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35313  /* drop all */
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35314  & (floor(sic4/10)==172 | floor(sic4/10)==171 | floor(sic4/10)==174 | floor(sic4/10)==175  | sic4==1793)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35316  & (floor(sic4/10)==172 | floor(sic4/10)==173 | floor(sic4/10)==176 | floor(sic4/10)==171 | floor(sic4/10)==174 | floor(sic4/10)==175  | sic4==1793)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35318  & (floor(sic4/10)==172 | floor(sic4/10)==173 | floor(sic4/10)==176 | floor(sic4/10)==171 | floor(sic4/10)==174 | floor(sic4/10)==175  | sic4==1793)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35319  & (floor(sic4/10)==172 |  floor(sic4/10)==173 | floor(sic4/10)==176 | floor(sic4/10)==171 | floor(sic4/10)==174 | floor(sic4/10)==175  | sic4==1793)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35341  & (floor(sic4/10)==172 |  floor(sic4/10)==173 | floor(sic4/10)==176 | floor(sic4/10)==171 | floor(sic4/10)==174 | floor(sic4/10)==175  | sic4==1793)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35361  & (floor(sic4/10)==172 |  floor(sic4/10)==173 | floor(sic4/10)==176 | floor(sic4/10)==171 | floor(sic4/10)==174 | floor(sic4/10)==175  | sic4==1793)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35362  & (floor(sic4/10)==172 |   floor(sic4/10)==171 | floor(sic4/10)==174 | floor(sic4/10)==175  | sic4==1793)
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35484  /* drop all */
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35489 & floor(sic4/10)~=170 & floor(sic4/10)~=176 & sic4~=1796
/* drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35611
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35614
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35619
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35641
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35642
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35691 drop none */
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35851 & floor(sic4/10)~=170 & floor(sic4/10)~=171   & floor(sic4/10)~=173  & sic4~=1796
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35853 & floor(sic4/10)~=170 & floor(sic4/10)~=171   & floor(sic4/10)~=173  & sic4~=1796
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35854 & floor(sic4/10)~=170 & floor(sic4/10)~=171   & floor(sic4/10)~=173  & sic4~=1796
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35855 & floor(sic4/10)~=170 & floor(sic4/10)~=171   & floor(sic4/10)~=173  & sic4~=1796 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35856 & floor(sic4/10)~=170 & floor(sic4/10)~=171   & floor(sic4/10)~=173  & sic4~=1796
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35857 & floor(sic4/10)~=170 & floor(sic4/10)~=171   & floor(sic4/10)~=173  & sic4~=1796
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35859 &  floor(sic4/10)~=170 & floor(sic4/10)~=171   & floor(sic4/10)~=173  & sic4~=1796
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35891 &  floor(sic4/10)~=170 & floor(sic4/10)~=171   & floor(sic4/10)~=173  & sic4~=1796
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35892 &  floor(sic4/10)~=170 & floor(sic4/10)~=171   & floor(sic4/10)~=173  & sic4~=1796
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==35899 &  floor(sic4/10)~=170 & floor(sic4/10)~=171   & floor(sic4/10)~=173  & sic4~=1796
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36131  &  floor(sic4/10)~=170 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36132  &  floor(sic4/10)~=170 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36231  &  floor(sic4/10)~=170 & floor(sic4/10)~=171 & floor(sic4/10)~=173 & sic4~=1796
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36232  &  floor(sic4/10)~=170 & floor(sic4/10)~=171 & floor(sic4/10)~=173 & sic4~=1796
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36341  &  floor(sic4/10)~=170 & floor(sic4/10)~=171 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36343 &  floor(sic4/10)~=170 & floor(sic4/10)~=171 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36346 &  floor(sic4/10)~=170 & floor(sic4/10)~=171 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36347 &  floor(sic4/10)~=170 & floor(sic4/10)~=171 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36349 &  floor(sic4/10)~=170 & floor(sic4/10)~=171 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & stcc==36351  /* drop all */
drop if floor(sic4/100)==17  & stcc==36361 /* drop all */
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36392 &  floor(sic4/10)~=170 & floor(sic4/10)~=171 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36393 &  floor(sic4/10)~=170 & floor(sic4/10)~=171 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36399 &  floor(sic4/10)~=170 & floor(sic4/10)~=171 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36421  &  floor(sic4/10)~=170 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36424   &  floor(sic4/10)~=170 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36425   &  floor(sic4/10)~=170 & floor(sic4/10)~=173 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36429   &  floor(sic4/10)~=170 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36432   &  floor(sic4/10)~=170 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36433   &  floor(sic4/10)~=170 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36434   &  floor(sic4/10)~=170 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36435   &  floor(sic4/10)~=170 & floor(sic4/10)~=173 
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36439   &  floor(sic4/10)~=170 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36441   &  floor(sic4/10)~=170 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36442    &  floor(sic4/10)~=170 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36449   &  floor(sic4/10)~=170 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36621   &  floor(sic4/10)~=170 & floor(sic4/10)~=173
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==36999   &  floor(sic4/10)~=170 & floor(sic4/10)~=173
/* drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==37119  drop none- can be used by all construction
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==37992
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==37993
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==37994
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==37995
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==37999 */
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==38221 & floor(sic4/10)~=173 & floor(sic4/10)~=171 & floor(sic4/10)~=170 & floor(sic4/10)~=179
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==38511 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==39911 & floor(sic4/10)~=172 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==39921 & floor(sic4/10)~=175 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==39931  & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==39932 & floor(sic4/10)~=170
drop if floor(sic4/100)==17 & sic4~=1799 & sic4~=1700 & stcc==39934 & floor(sic4/10)~=170